Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class CustomersQuota 'Partnertől mennyit kell megrendelnem
    Inherits BaseObject
    Private _Customers As Customers
    Private _PartnerType As ePartnerType
    Private _DateFrom As Date 'Dátumtól
    Private _DateTo As Date 'Dátumig
    Private _Products As Products
    Private _ProductsGroups As ProductsGroups
    Private _CurrencyName As CurrencyName 'Deviza
    Private _AmountPlan As Double 'Netto forgalom az adott időszakra
    Private _AmountFact As Double 'Ezt kell számolni 
    Private _Rabbat As Double '+ kedvezmény %

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property Customers As Customers
        Get
            Return _Customers
        End Get
        Set(value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
    Property DateFrom As Date
        Get
            Return _DateFrom
        End Get
        Set(value As Date)
            SetPropertyValue("DateFrom", _DateFrom, value)
        End Set
    End Property
    Property DateTo As Date
        Get
            Return _DateTo
        End Get
        Set(value As Date)
            SetPropertyValue("DateTo", _DateTo, value)
        End Set
    End Property
    Property Products As Products
        Get
            Return _Products
        End Get
        Set(value As Products)
            SetPropertyValue("Products", _Products, value)
        End Set
    End Property
    Property ProductsGroups As ProductsGroups
        Get
            Return _ProductsGroups
        End Get
        Set(value As ProductsGroups)
            SetPropertyValue("ProductsGroups", _ProductsGroups, value)
        End Set
    End Property
    Property CurrencyName As CurrencyName
        Get
            Return _CurrencyName
        End Get
        Set(value As CurrencyName)
            SetPropertyValue("CurrencyName", _CurrencyName, value)
        End Set
    End Property
    Property AmountPlan As Double
        Get
            Return _AmountPlan
        End Get
        Set(value As Double)
            SetPropertyValue("AmountPlan", _AmountPlan, value)
        End Set
    End Property
    Property AmountFact As Double
        Get
            Return _AmountFact
        End Get
        Set(value As Double)
            SetPropertyValue("AmountFact", _AmountFact, value)
        End Set
    End Property
    Property Rabbat As Double
        Get
            Return _Rabbat
        End Get
        Set(value As Double)
            SetPropertyValue("Rabbat", _Rabbat, value)
        End Set
    End Property
End Class
